Subject: Re: bug#39081: 26.3; Emacs hangs if external SCIM input method is killed

From: Vladimir Nikishkin <[email-masked]>
Date: Mon, 13 Jan 2020 08:03:27 +0800

It's not really predictable. I didn't manage to reproduce the crash under
gdb so far, although without gdb it sometimes crashes and sometimes hands
under similar conditions. I'll keep running Emacs under gdb and if a crash
occurs, will post it here.

Eli Zaretskii <[email-masked]> 於 2020年1月12日 週日 23:08 寫道：

> > From: Vladimir Nikishkin <[email-masked]>
> > Date: Sun, 12 Jan 2020 14:49:12 +0800
> > Cc: [email-masked]
> >
> > Sorry, my debugging skills are too poor.
> >
> > So I attached gdb to Emacs, cont'd, then killed scim, and then
> > interrupted Emacs by issuing C-c in the gdb prompt,
> > and then collected a stack trace. I am not sure I am doing something
> > meaningful, as this is the first time I use gdb:
> > Here's the stack trace:
>
> Previously, you said that this unoptimized build "crashed, printing
> This is GTK bug".  But I don't seed any crash here, just interrupted
> Emacs because you typed C-c.  Does this mean you cannot reproduce the
> crash under GDB?
>